curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Lesen Sie die Aufschlüsselung für die Teilnahmen an Marketingevents mithilfe optionaler Filter anhand des Paars „externalAccountId“ und „externalEventId“.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown \
--header 'Authorization: Bearer <token>'{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
accountId, die diesem Marketingevent in der externen Event-App zugeordnet ist.
Die ID des Marketingevents in der externen Event-App.
Der Cursor, der die Position des zuletzt abgerufenen Elements anzeigt.
Die ID des Kontakts. Kann eine E-Mail oder eine interne ID sein.
Das Limit für die Antwortgröße. Der Standardwert ist 10, die maximale Anzahl ist 100.
Der Wert des Teilnehmerstatus. Zulässig: „REGISTERED“, „CANCELLED“, „ATTENDED“, „NO_SHOW“